---@meta

---@class IDisplayClusterProjectionBlueprintAPI : IInterface
local IDisplayClusterProjectionBlueprintAPI = {}

---@param ViewportID FString
---@param NewCamera UCameraComponent
---@param FOVMultiplier float
function IDisplayClusterProjectionBlueprintAPI:CameraPolicySetCamera(ViewportID, NewCamera, FOVMultiplier) end


---@class UDisplayClusterProjectionBlueprintAPIImpl : UObject
local UDisplayClusterProjectionBlueprintAPIImpl = {}

---@param ViewportID FString
---@param NewCamera UCameraComponent
---@param FOVMultiplier float
function UDisplayClusterProjectionBlueprintAPIImpl:CameraPolicySetCamera(ViewportID, NewCamera, FOVMultiplier) end


---@class UDisplayClusterProjectionBlueprintLib : UBlueprintFunctionLibrary
local UDisplayClusterProjectionBlueprintLib = {}

---@param OutAPI TScriptInterface<IDisplayClusterProjectionBlueprintAPI>
function UDisplayClusterProjectionBlueprintLib:GetAPI(OutAPI) end
---@param ViewportID FString
---@param NewCamera UCameraComponent
---@param FOVMultiplier float
function UDisplayClusterProjectionBlueprintLib:CameraPolicySetCamera(ViewportID, NewCamera, FOVMultiplier) end


